# Defines the application's Docker image and additional services
# https://docs.docker.com/compose/compose-file/
# To run using docker-compose, use the command:
#   docker-compose up --build tjts5901

version: '3'
services:
  tjts5901:
    build:
      context: .
      dockerfile: Dockerfile

    working_dir: /app

    # Ports to expose to the host. Uncomment if running outside of vscode.
    # ports:
      # - 5001:5001

    # Volumes to mount from the host.
    volumes:
      # Mount local source folder into container
      - .:/app
      # Add volume for vscode extensions
      - tjts5901-vscode-extensions:/home/vscode/.vscode-server/extensions
      # mountpoints for kubernetes syncing.
      - ${HOME}/.kube:/usr/local/share/kube-localhost:cached
      - ${HOME}/.minikube:/usr/local/share/minikube-localhost:cached

    environment:
      #FLASK_APP: tjt5901:app
      FLASK_DEBUG: 1
      #FLASK_RUN_PORT: 5001

    ## Don't restart container if it exits. Useful for debugging, not for production.
    restart: 'no'

  # Example for another service, such as a database.
  # mongodb:
  #   image: mongo:stable
  #   restart: unless-stopped

volumes:
  tjts5901-vscode-extensions:
